## org.eclipse.xsd.impl.type
Class XSDAnySimpleType.HexSequence

    java.lang.Object
      org.eclipse.xsd.impl.type.XSDAnySimpleType.ByteSequence
          org.eclipse.xsd.impl.type.XSDAnySimpleType.HexSequence

All Implemented Interfaces:
  XSDUtil.ByteSequence

Enclosing class:
  XSDAnySimpleType

    public static class XSDAnySimpleType.HexSequence

extends XSDAnySimpleType.ByteSequence

Field Summary

Fields inherited from class org.eclipse.xsd.impl.type.XSDAnySimpleType.ByteSequence
`bytes, canonical, xsdAnySimpleType`

Constructor Summary
`XSDAnySimpleType.HexSequence(XSDAnySimpleType xsdAnySimpleType, byte[] bytes)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.xsd.impl.type.XSDAnySimpleType.ByteSequence
`equals, getBytes, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSDAnySimpleType.HexSequence

    public XSDAnySimpleType.HexSequence(XSDAnySimpleType xsdAnySimpleType,
                                        byte[] bytes)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDAnySimpleType.ByteSequence`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.